import arkindex.project.fields
from django.db import migrations
from django.db.models.functions import Lower


def lowercase_hash(apps, schema_editor):
    DataFile = apps.get_model('dataimport', 'DataFile')
    DataFile.objects.update(hash=Lower('hash'))


class Migration(migrations.Migration):

    dependencies = [
        ('dataimport', '0005_s3_file_mixin_fields'),
    ]

    operations = [
        migrations.AlterField(
            model_name='DataFile',
            name='hash',
            field=arkindex.project.fields.MD5HashField(max_length=32),
        ),
        migrations.RunPython(lowercase_hash, migrations.RunPython.noop),
    ]
