# Generated by Django 2.2 on 2019-05-13 15:08

import arkindex.documents.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import enumfields.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("documents", "0006_transcribed_entities_table"),
    ]

    operations = [
        migrations.AddField(
            model_name="classification",
            name="moderator",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="classifications",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="classification",
            name="state",
            field=enumfields.fields.EnumField(
                db_index=True, default="pending", enum=arkindex.documents.models.ClassificationState, max_length=16
            ),
        ),
        migrations.CreateModel(
            name="MLClass",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=100)),
                (
                    "corpus",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="ml_classes", to="documents.Corpus"
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "classes",
                "unique_together": {("name", "corpus")},
                "ordering": ("corpus", "name"),
            },
        ),
        migrations.AddField(
            model_name="classification",
            name="ml_class",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="classifications",
                to="documents.MLClass",
            ),
        ),
        migrations.AlterField(
            model_name="classification",
            name="class_name",
            field=models.CharField(max_length=100, null=True),
        ),
    ]
