from pathlib import Path
from unittest.mock import patch, call
from django.core.management import call_command
from arkindex.project.tests import FixtureTestCase

ACT_SAMPLES = Path(__file__).resolve().parent.parent / 'act_samples'


class TestImportActsCommand(FixtureTestCase):

    @patch('arkindex.documents.management.commands.import_acts.ActsImporter')
    def test_run(self, importer_mock):
        call_command(
            'import_acts',
            str(ACT_SAMPLES),
            corpus=self.corpus,
        )
        self.assertEqual(importer_mock.call_count, 1)
        self.assertEqual(importer_mock.call_args, call(
            ACT_SAMPLES / 'volume 2.csv',
            self.corpus,
            self.corpus.types.get(slug='volume'),
            self.corpus.types.get(slug='act'),
            self.corpus.types.get(slug='surface'),
        ))
        self.assertEqual(importer_mock().run.call_count, 1)
