from arkindex.project.tests import FixtureTestCase
from arkindex.images.models import Image, Zone


class TestPolygonField(FixtureTestCase):
    '''
    Test the DB field & usage
    '''

    def setUp(self):
        self.img = Image.objects.get(path='img3', server=self.imgsrv)
        self.z1 = Zone.objects.get(
            image=self.img, polygon=[(0, 0), (0, 1000), (1000, 1000), (1000, 0), (0, 0)])
        self.z2 = Zone.objects.get(
            image=self.img, polygon=[(0, 0), (0, 300), (300, 300), (300, 0), (0, 0)])
        self.z3 = Zone.objects.get(
            image=self.img, polygon=[(300, 300), (300, 600), (600, 600), (600, 300), (300, 300)])

    def test_field(self):
        self.assertSequenceEqual(self.z1.polygon, [(0, 0), (0, 1000), (1000, 1000), (1000, 0), (0, 0)])

    def test_contains(self):
        self.assertCountEqual(
            Zone.objects.filter(image=self.img, polygon__contains=self.z2.polygon),
            [self.z1, self.z2])
        self.assertCountEqual(
            Zone.objects.filter(image=self.img, polygon__contains=self.z3.polygon),
            [self.z1, self.z3])
        self.assertCountEqual(
            Zone.objects.filter(image=self.img, polygon__contains=self.z1.polygon),
            [self.z1])
