from django.urls import path, include
from django.conf import settings
from django.contrib import admin
from arkindex.project.api_v1 import api
from arkindex.project.views import FrontendView

urlpatterns = [
    path('api/v1/', include((api, 'api'), namespace='api')),
    path('ponos/', include('ponos.urls')),
    path('admin/', admin.site.urls),
    path('user/reset/<uidb64>/<token>/', FrontendView.as_view(), name='password_reset_confirm'),
    path('imports/credentials/', FrontendView.as_view(), name='credentials'),
]

if 'debug_toolbar' in settings.INSTALLED_APPS:
    import debug_toolbar
    urlpatterns = [
        path('__debug__/', include(debug_toolbar.urls)),
    ] + urlpatterns
